# SingleControl QML Type

A list item containing a single control. More...

Import Statement: | import Lomiri.Components.ListItems 1.3
Inherits: | Empty

- List of all members, including inherited members

## Properties

- control : Item

## Detailed Description

Note: The component is deprecated. Use ListItem component instead.

Examples:

    import Lomiri.Components
    import Lomiri.Components.ListItems as ListItem
    Column {
        ListItem.SingleControl {
            control: Button {
                anchors {
                    margins: units.gu(1)
                    fill: parent
                }
                text: "Large button"
            }
        }
    }

## Property Documentation

control : Item

The control of this SingleControl list item. The control will automatically be re-parented to, and centered in, this list item.